<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class MessageSecretMessage extends \Google\Protobuf\Internal\Message
{
    


    protected $version = null;
    


    protected $encIv = null;
    


    protected $encPayload = null;

    










    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getVersion()
    {
        return isset($this->version) ? $this->version : 0;
    }

    public function hasVersion()
    {
        return isset($this->version);
    }

    public function clearVersion()
    {
        unset($this->version);
    }

    




    public function setVersion($var)
    {
        GPBUtil::checkInt32($var);
        $this->version = $var;

        return $this;
    }

    



    public function getEncIv()
    {
        return isset($this->encIv) ? $this->encIv : '';
    }

    public function hasEncIv()
    {
        return isset($this->encIv);
    }

    public function clearEncIv()
    {
        unset($this->encIv);
    }

    




    public function setEncIv($var)
    {
        GPBUtil::checkString($var, False);
        $this->encIv = $var;

        return $this;
    }

    



    public function getEncPayload()
    {
        return isset($this->encPayload) ? $this->encPayload : '';
    }

    public function hasEncPayload()
    {
        return isset($this->encPayload);
    }

    public function clearEncPayload()
    {
        unset($this->encPayload);
    }

    




    public function setEncPayload($var)
    {
        GPBUtil::checkString($var, False);
        $this->encPayload = $var;

        return $this;
    }

}

